Sign inGet started

Approvals

GET
/organizations/{organizationId}/approvals
List approval flows
Parametri di query
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.organizationId
string
results.workspaceId
string
results.ownerId
string
obbligatorio
results.name
string
obbligatorio
results.description
string
obbligatorio
results.objectType
string
obbligatorio
The identifier of the object
results.objectAction
string
obbligatorio
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
obbligatorio
Mostra attributi secondari
results.steps.type
string
obbligatorio
Possible values: any, all
results.steps.users
array of string
obbligatorio
results.steps.reviewers
array of object
Mostra attributi secondari
results.steps.reviewers.type
string
obbligatorio
Possible values: user
results.steps.reviewers.id
string
obbligatorio
results.steps.message
string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
results.tags
array of object
Mostra attributi secondari
results.tags.key
string
obbligatorio
results.tags.value
string
obbligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/approvals
Create approval flow
Payload della richiesta
name
string
obbligatorio
description
string
obbligatorio
objectType
string
obbligatorio
The identifier of the object
objectAction
string
obbligatorio
The action performed on the object
Possible values: create, update, delete
tags
array of object
Mostra parametri secondari
tags.key
string
obbligatorio
tags.value
string
obbligatorio
steps
array of object
obbligatorio
Mostra parametri secondari
steps.type
string
obbligatorio
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Mostra parametri secondari
steps.reviewers.type
string
obbligatorio
Possible values: user
steps.reviewers.id
string
obbligatorio
steps.message
string
Payload della risposta
id
string
obbligatorio
organizationId
string
workspaceId
string
ownerId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
objectType
string
obbligatorio
The identifier of the object
objectAction
string
obbligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obbligatorio
Mostra attributi secondari
steps.type
string
obbligatorio
Possible values: any, all
steps.users
array of string
obbligatorio
steps.reviewers
array of object
Mostra attributi secondari
steps.reviewers.type
string
obbligatorio
Possible values: user
steps.reviewers.id
string
obbligatorio
steps.message
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
tags
array of object
Mostra attributi secondari
tags.key
string
obbligatorio
tags.value
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Payload della risposta
id
string
obbligatorio
organizationId
string
workspaceId
string
ownerId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
objectType
string
obbligatorio
The identifier of the object
objectAction
string
obbligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obbligatorio
Mostra attributi secondari
steps.type
string
obbligatorio
Possible values: any, all
steps.users
array of string
obbligatorio
steps.reviewers
array of object
Mostra attributi secondari
steps.reviewers.type
string
obbligatorio
Possible values: user
steps.reviewers.id
string
obbligatorio
steps.message
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
tags
array of object
Mostra attributi secondari
tags.key
string
obbligatorio
tags.value
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Payload della richiesta
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Mostra parametri secondari
steps.type
string
obbligatorio
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Mostra parametri secondari
steps.reviewers.type
string
obbligatorio
Possible values: user
steps.reviewers.id
string
obbligatorio
steps.message
string
Payload della risposta
id
string
obbligatorio
organizationId
string
workspaceId
string
ownerId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
objectType
string
obbligatorio
The identifier of the object
objectAction
string
obbligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obbligatorio
Mostra attributi secondari
steps.type
string
obbligatorio
Possible values: any, all
steps.users
array of string
obbligatorio
steps.reviewers
array of object
Mostra attributi secondari
steps.reviewers.type
string
obbligatorio
Possible values: user
steps.reviewers.id
string
obbligatorio
steps.message
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
tags
array of object
Mostra attributi secondari
tags.key
string
obbligatorio
tags.value
string
obbligatorio
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'